<template>
  <q-dialog v-model="persistent" content-class="bg-grey-1" persistent transition-show="scale" transition-hide="scale">
    <q-card style="width: 600px;max-width:700px;">
      <q-card-section>
        <div class="text-h6">{{optionTitle}}</div>
      </q-card-section>
      <q-card-section class="q-pt-none scroll" style="max-height: 70vh">
        <div class="text-caption q-mb-lg q-px-md text-grey-6">漫画信息</div>
        <div class="row wrap">
          <q-input filled stack-label maxlength="50" :dense="false" v-model="objOption.Name"
            class="col-12 q-pr-lg q-pb-lg" label="漫画名称" ref="Name" :rules="[val => !!val || '请填写漫画名称']" />
          <q-input filled stack-label maxlength="200" :dense="false" v-model="objOption.LinkUrl"
            class="col-12 q-pr-lg q-pb-lg" label="链接" />
        </div>
      </q-card-section>
      <q-separator />
      <q-card-actions align="right" class="bg-white">
        <q-btn label="取消" flat color="grey-10" style="font-weight:400 !important" @click="closeSaveForm" />
        <q-btn label="立即提交" color="accent q-px-md" style="font-weight:400 !important" :loading="saveLoading"
          @click="saveComic" />
      </q-card-actions>
    </q-card>
  </q-dialog>
</template>

<script>
  import {
    SetWebCartoon,
    GetWebCartoon
  } from '../../api/system/webkit'
  export default {
    props: {
      saveObj: {
        type: Object,
        default: null
      }
    },
    data() {
      return {
        persistent: true,
        objOption: {
          Id: 0,
          Name: '',
          LinkUrl: ''
        },
        optionTitle: "新增漫画",
        saveLoading: false,
      }
    },
    mounted() {
      this.initObj()
    },
    methods: {
      //初始化表单
      initObj() {
        if (this.saveObj && this.saveObj.Id > 0) {
          GetWebCartoon({
            Id: this.saveObj.Id
          }).then(res => {
            if (res.Code == 1) {
              this.objOption.Id = res.Data.Id;
              this.objOption.Name = res.Data.Name;
              this.objOption.LinkUrl = res.Data.LinkUrl;
              this.optionTitle = '修改漫画'
            }
          })
        }
      },
      //关闭弹窗
      closeSaveForm() {
        this.$emit('close')
        this.persistent = false
      },
      //保存菜单
      saveComic() {
        this.$refs.Name.validate();
        if (!this.$refs.Name.hasError) {
          this.saveLoading = true
          SetWebCartoon(this.objOption).then(res => {
            this.saveLoading = false
            this.$q.notify({
              icon: 'iconfont icon-chenggong',
              color: 'accent',
              timeout: 2000,
              message: '数据保存成功！',
              position: 'top'
            })
            this.$emit("success")
            this.closeSaveForm()
          }).catch(() => {
            this.saveLoading = false
          })
        }
      }
    },
  }

</script>
